Bug 128363 - LCD laptop screen not properly detected by firstboot
LCD laptop screen not properly detected by firstboot
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: system-config-display (Show other bugs)
3
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-22 01:17 EDT by Dee-Ann LeBlanc
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-03 14:06:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Xorg.0.log for Toshiba laptop (713.45 KB, text/plain)
2007-04-03 17:18 EDT, Christopher Beland
no flags Details

  None (edit)
Description Dee-Ann LeBlanc 2004-07-22 01:17:39 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040706 Firefox/0.9.1

Description of problem:
I just installed FC3Test1 on my emachine M5310 laptop, and when I
reach the Display screen I'm only offered a resolution up to 800x600
because it considers my LCD to be an Unknown monitor. No biggie for
me, I'll change it later, but I thought you might find it useful for
newer folks.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install FC3Test1
2. Reboot after install
3. Continue through Firstboot to Display screen
    

Actual Results:  Correctly offered millions of colors, correctly sees
my ATI Radeon Mobility U1 video card, doesn't see my monitor type and
only offers 640x480 and 800x600

Expected Results:  Offered at least 1024x768, ideally offered 1280x800
since it's a widescreen.

Additional info:

Machine specs available through www.emachines.com
Comment 1 Dee-Ann LeBlanc 2004-08-17 17:22:24 EDT
I just wanted to add here that I have the same result when I install
on one of my machines that's using a KVM. I expect it not to be able
to detect my monitor properly through a KVM, but it's a bit annoying
to have to manually bump it up to 1024x768 after the firstboot
process. Is it safe these days to use 1024x768 Generic SVGA as a
default instead of an 800x600 default? I'm not really sure what the
best solution to this problem is, but KVMs are certainly heavily in use.
Comment 2 Dee-Ann LeBlanc 2004-09-14 17:06:58 EDT
I like the solution to the KVM issue in FC3T2candidate0908.0, the
Configure button makes all the difference.
Comment 3 Dee-Ann LeBlanc 2004-09-14 18:16:56 EDT
After installing FC3T2candidate0908.0 on the emachine laptop specified
earlier and updating it to rawhide 9/14, firstboot starts properly
here as well but it doesn't detect my LCD panel. More frustratingly,
again it lets me tell it that my panel is 1280x800 but then doesn't
let me select 1280x800 under resolution. Please fix this. :)
Comment 4 Christopher Beland 2005-01-23 18:50:26 EST
The 1280x800 issue may be dealt with at Bug #122739.

It sounds like I experienced similar initial detection woes as the
reporter of this bug, as follows:

I have a Toshiba M35X-S106 laptop (Celeron M).  Its LCD display
supports 1024x768 resolution at 16M colors, but the install process configured
it as "unknown monitor" at 800x600 with "thousands of colors".

I changed the hardware setting in system-config-display to LCD Panel
1024x768, but when I rebooted, Kudzu detected "new" video-related
hardware.  I allowed it to "Configure" and it unfortunately reset the
configuration to "Unknown monitor", at the lower resolution.

So I manually switched it back, and know to tell Kudzu not to do
anything when it detects "new" video hardware.

The right thing, of course, would be for my display to have been
configured at the correct resolution the first time around, and for
Kudzu not to try to break it later on.

This was with a fresh install of Fedora Core 3 (final).
Comment 5 Adam Jackson 2006-04-19 13:36:44 EDT
please attach the Xorg.0.log from a successful startup after installation.
Comment 6 Adam Jackson 2006-07-08 19:28:35 EDT
Ping timeout from reporter. Please attach an X log from a successful startup
after installation, so that your laptop may be added to the monitor database. 
Please move the bug back from NEEDINFO to ASSIGNED when you do.
Comment 7 John Thacker 2006-10-29 16:59:15 EST
Changing version to correct one.  (test1 -> fc3test1, and some were filed as
test3 accidentally instead; but clearly must be fc3test1 given the date of filing.)
Comment 8 Adam Jackson 2007-04-03 14:06:33 EDT
NEEDINFO timeout, resolving as INSUFFICIENT_DATA.
Comment 9 Christopher Beland 2007-04-03 17:18:45 EDT
Created attachment 151623 [details]
Xorg.0.log for Toshiba laptop
Comment 10 Christopher Beland 2007-08-26 14:42:14 EDT
I installed Fedora 7 from the LiveCD, and my Toshiba laptop's LCD screen was
configured correctly, at 1024x768.  There were no problems when rebooting.  (Yay!)

Note You need to log in before you can comment on or make changes to this bug.